# **Enhanced Potions Mod for Valheim**

Available on [Nexus Mods](https://www.nexusmods.com/valheim/mods/879) and [Thunderstore.io](https://valheim.thunderstore.io/package/hbocao/EnhancedPotions/)

This mod adds new powerful mead bases and potions. It provides a few tweaks in the gameplay for a mid-more-to-end game phase.

## **Potion List**

All recipes are totally **customizable**. You can set the recipe requirements, item names and descriptions, duration and most of the effects as well. You can disable the ones that you don't feel like using.

It currently adds 17 sets of mead base and potions. The [default requirements](https://henriquedeaguiar.com/project/EnhancedPotions/FullRecipeList.html) are quite pricey, but it's totally customizable.

### -![Megingjord's extract potion](https://henriquedeaguiar.com/project/EnhancedPotions/assets/WeightPotion-sprite.png) [**Megingjord's extract**](https://henriquedeaguiar.com/project/EnhancedPotions/FullRecipeList.html#megingjords-extract)

Gives the drinker a god's strength

Duration `600s (10s)`

*Increased max carry weight, slower health regeneration.*

### -![Bifröst's apozem potion](https://henriquedeaguiar.com/project/EnhancedPotions/assets/PortalPotion-sprite.png) [**Bifröst's apozem**](https://henriquedeaguiar.com/project/EnhancedPotions/FullRecipeList.html#bifrösts-apozem)

Allows unrestricted Portal use

Duration `450s (7m 30s)`

*Portal usage without any restrictions, slower health and stamina regeneration*

### -![Tyr's decantation potion](https://henriquedeaguiar.com/project/EnhancedPotions/assets/FlyPotion-sprite.png) [**Tyr's decantation**](https://henriquedeaguiar.com/project/EnhancedPotions/FullRecipeList.html#tyrs-decantation)

Gives the power of flight

Duration `210s (3m 30s)`

*You can fly but can carry less weight*

**Instructions:** Double-tap `JUMP` to activate/deactivate it. Press `JUMP` to go up and `CROUCH` to go down.

### -![Hrungnir's effusion potion](https://henriquedeaguiar.com/project/EnhancedPotions/assets/WaterSinkPotion-sprite.png) [**Hrungnir's effusion**](https://henriquedeaguiar.com/project/EnhancedPotions/FullRecipeList.html#hrungnirs-effusion)

Gives the power of breathing and walking underwater

Duration `600s (10s)`

*You can breathe and walk underwater, stamina regeneration is slower.*

**Instructions:** You can recover stamina by staying put.

### -![Spyja solution potion](https://henriquedeaguiar.com/project/EnhancedPotions/assets/PukePotion-sprite.png) [**Spyja solution**](https://henriquedeaguiar.com/project/EnhancedPotions/FullRecipeList.html#spyja-solution)

Smelling horrible and tasting even worse, it will make you vomit

Duration `20s (20s)`

*You feel sick, health and stamina regeneration is slower*

**Instructions:** Clears the effects of all the consumed goods (food, potion and mead) while in effect and slows stats regeneration.

### -![Greater Stamina solution potion](https://henriquedeaguiar.com/project/EnhancedPotions/assets/GreaterStaminaPotion-sprite.png) [**Greater Stamina solution**](https://henriquedeaguiar.com/project/EnhancedPotions/FullRecipeList.html#greater-stamina-solution)

Restores stamina

Duration `300s (5m)`

*Stamina over time and increased stamina and health regeneration*

### -![Greater Health solution potion](https://henriquedeaguiar.com/project/EnhancedPotions/assets/GreaterHealthPotion-sprite.png) [**Greater Health solution**](https://henriquedeaguiar.com/project/EnhancedPotions/FullRecipeList.html#greater-health-solution)

Restores health

Duration `300s (5m)`

*Health over time and increased health and stamina regeneration*

### -![Eikthyr's elixir potion](https://henriquedeaguiar.com/project/EnhancedPotions/assets/EikthyrPotion-sprite.png) [**Eikthyr's elixir**](https://henriquedeaguiar.com/project/EnhancedPotions/FullRecipeList.html#eikthyrs-elixir)

Drinkable Eikthyr's power

Duration `300s (5m)`

*Your ability to run and jump is improved*

### -![Elder's elixir potion](https://henriquedeaguiar.com/project/EnhancedPotions/assets/ElderPotion-sprite.png) [**Elder's elixir**](https://henriquedeaguiar.com/project/EnhancedPotions/FullRecipeList.html#elders-elixir)

Drinkable Elder's power

Duration `300s (5m)`

*Faster wood cutting*

### -![Bonemass' elixir potion](https://henriquedeaguiar.com/project/EnhancedPotions/assets/BonemassPotion-sprite.png) [**Bonemass' elixir**](https://henriquedeaguiar.com/project/EnhancedPotions/FullRecipeList.html#bonemass-elixir)

Drinkable Bonemass' power

Duration `300s (5m)`

*Resistance VS physical damage.*

### -![Moder's elixir potion](https://henriquedeaguiar.com/project/EnhancedPotions/assets/ModerPotion-sprite.png) [**Moder's elixir**](https://henriquedeaguiar.com/project/EnhancedPotions/FullRecipeList.html#moders-elixir)

Drinkable Moder's power

Duration `300s (5m)`

*Always tailwind when sailing*

### -![Yagluth's elixir potion](https://henriquedeaguiar.com/project/EnhancedPotions/assets/YagluthPotion-sprite.png) [**Yagluth's elixir**](https://henriquedeaguiar.com/project/EnhancedPotions/FullRecipeList.html#yagluths-elixir)

Drinkable Yagluth's power

Duration `300s (5m)`

*Resistance VS magic damage and lightning damage*

### -![Rán's blessing potion](https://henriquedeaguiar.com/project/EnhancedPotions/assets/WaterproofPotion-sprite.png) [**Rán's blessing**](https://henriquedeaguiar.com/project/EnhancedPotions/FullRecipeList.html#ráns-blessing)

Gives a waterproof coating, but running and jumping consumes more stamina

Duration `300s (5m)`

*Waterproof, consumes more stamina when running and jumping*

### -![Ymir's decoction potion](https://henriquedeaguiar.com/project/EnhancedPotions/assets/AttackPowerPotion-sprite.png) [**Ymir's decoction**](https://henriquedeaguiar.com/project/EnhancedPotions/FullRecipeList.html#ymirs-decoction)

Gives Ymir's strength

Duration `300s (5m)`

*All physical attacks are stronger, makes you slower*

### -![Mimir's swimming stimulant potion](https://henriquedeaguiar.com/project/EnhancedPotions/assets/SwimmingTrainPotion-sprite.png) [**Mimir's swimming stimulant**](https://henriquedeaguiar.com/project/EnhancedPotions/FullRecipeList.html#mimirs-swimming-stimulant)

Makes learning to swim faster

Duration `300s (5m)`

*Gain swim skill faster, makes you slower on land*

### -![Freya's concoction potion](https://henriquedeaguiar.com/project/EnhancedPotions/assets/RestedPotion-sprite.png) [**Freya's concoction**](https://henriquedeaguiar.com/project/EnhancedPotions/FullRecipeList.html#freyas-concoction)

Extends rested effects

Duration `60s (1m)`

*You are relaxed and ready to rest*

**Instructions:** Just drink it before resting or while the rest timer is not running and it will extend the buff period.

### -![Njord's infusion potion](https://henriquedeaguiar.com/project/EnhancedPotions/assets/SwimmingPotion-sprite.png) [**Njord's infusion**](https://henriquedeaguiar.com/project/EnhancedPotions/FullRecipeList.html#njords-infusion)

Decreases stamina consumption while swimming

Duration `450s (7m 30s)`

*Swimming proficient, consume less stamina while swimming*


## **Installation**

- Use [Vortex Mod Manager](https://www.nexusmods.com/about/vortex/)

**OR**

- Use [Thunderstore Mod Manager](https://www.overwolf.com/app/Thunderstore-Thunderstore_Mod_Manager)

**OR**

- Download and install [BepInEx Valheim](https://valheim.thunderstore.io/package/denikson/BepInExPack_Valheim/)
- Download and install [JotunnLib](https://www.nexusmods.com/valheim/mods/507)
- Download this mod and move the zip content so the `<GameLocation>\BepInEx\plugins\EnhancedPotions` directory looks like this:
  - `Assets`
  - `DefaultEnhancedPotions.json`
  - `EnhancedPotions.dll`
  - `Newtonsoft.Json.dll`
  - `System.Data.dll`
  - `System.Runtime.Serialization.dll`

## **Configuration**

Run the game at least once with the mod enabled and then edit the `<GameLocation>\BepInEx\config\hbocao.EnhancedPotions.json` file.

**ATTENTION:** Do NOT change the `MeadPrefabName` and `PotionPrefabName` fields in the JSON. This will bring only pain and make Odin very disappointed. 

## **Future updates**

- More potions: I want to make use of the common overstocked items (dandelions, leather scraps, ancient seeds, trophies, etc) and also introduce new possibilities
- Improve assets: The mod currently uses the MeadBaseTasty and MeadTasty 3D assets and very poorly made sprites
- Improve animations
- Improve visual effects

## **Known Issues**

- The game uses the first item available in the inventory, so it might use the equipped Megingjord. I could patch that but I've decided to keep the mod as clean as possible.

## **Credits**

- "Norse" font by [Joel Carrouche](http://www.joelcarrouche.com)
- [Json.NET](https://www.newtonsoft.com/json)
- [Mono DLLs](https://www.mono-project.com/)
